#ifndef MY_MALLOC_H
#define MY_MALLOC_H

#include <stdio.h>
#include <stddef.h>

#define memory 0xC0762A00	//char memory[8000000];


/*The structure definition to contain metadata of each block allocated or deallocated*/
struct block{
	size_t size; /*Carries the size of the block described by it*/
	int free;  /*This flag is used to know whether the block described by the metadata structure is free or not -- > if free, it is set to 1. Otherwise 0.*/
	struct block *next; /*Points to the next metadata block*/
};




/*The function definitions which are defined in the next source file malloc.c*/
void initMemBlock();
void initialize();
void split(struct block *fitting_slot,size_t size);
void *MyMalloc(size_t noOfBytes);
void merge();

void MyFree(void* ptr);

#endif /* MY_MALLOC_H */
